Summary: The PHP4 HTML-embedded scripting language for use with Apache.
Name: mod_php4
Version: 4.2.3
Release: 1
Group: System Environment/Daemons
Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
Source1: manual.tar.gz
Copyright: GPL
BuildRoot: /var/tmp/php4-root
Vendor: Wesmo Computer Services <http://www.wesmo.com>
Packager: Rich West <Rich.West@wesmo.com>
URL: http://www.php.net
Distribution: All
Requires: webserver, gd
Obsoletes: mod_php3

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP4, or PHP version %{version}.  If you use
applications which specifically rely on PHP/FI, you should instead
install the PHP/FI module contained in the mod_php package.
If you're just starting with PHP, you should install this package.
You'll also need to install the Apache web server.

%package doc
Summary: Documentation for mod-php4
Group: System Environment/Documentation

%description doc
This package will install the documentation for mod-php4

%prep

%setup -q -n php-%{version}
mkdir manual; cd manual && tar xzf $RPM_SOURCE_DIR/manual.tar.gz
chown -R root.root .

%build
./configure --prefix=/usr \
	--with-apxs=/usr/sbin/apxs \
	--enable-versioning \
	--with-config-file-path=/etc/httpd \
	--with-imap \
	--with-mysql=/usr/ \
	--enable-debug=no \
	--enable-safe-mode \
	--enable-ftp \
	--with-gettext \
	--with-exec-dir=/usr/bin \
	--with-system-regex \
	--enable-sysvsem \
	--enable-sysvshm \
	--disable-debug \
	--with-gd \
	--with-png-dir=/usr \
	--with-jpeg-dir=/usr \
	--with-xpm-dir=/usr/X11R6 \
	--with-freetype-dir=/usr \
	--with-zip \
	--with-zlib

#	--with-imap-ssl \
#	--with-kerberos \
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/etc/httpd
install -m 755 .libs/libphp4.so $RPM_BUILD_ROOT/usr/lib/apache
install -m 644 php.ini-recommended $RPM_BUILD_ROOT/etc/httpd/php.ini

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/apache/libphp4.so
%config /etc/httpd/php.ini

%doc CODING_STANDARDS CREDITS FUNCTION_LIST.txt INSTALL LICENSE MAINTAINERS
%doc MODULES_STATUS NEWS README.Zeus

%files doc
%doc README.BCMATH README.CVS-RULES README.QNX README.SELF-CONTAINED-EXTENSIONS
%doc manual

%post
#!/bin/sh

set -e


if [ -f /etc/httpd/conf/httpd.conf ]; then
    if ! grep -q "^LoadModule.*php4.so" /etc/httpd/conf/httpd.conf; then
        echo "I see you have apache webserver installed and so far you haven't";
        echo "used the apache module version of php4 in your apache. If you";
        echo "want to use it, you should reconfigure the apache webserver and";
        echo "select to load the php module.";
        echo "You can insert the following line into";
        echo "/etc/httpd.conf/httpd.conf manually:";
        echo
        echo "LoadModule php4_module modules/libphp4.so";
        echo
        echo "AddModule mod_php4.c";
        echo
        echo -n "Do you want me to add these lines for you [y/N] ?"
#        read a;
a=y
        if echo $a | grep -qi ^y; then

sed -e 's+\#LoadModule.*libphp4.so+LoadModule php4_module        modules/libphp4.so+' -e s/^php4/\#php4/ -e 's+\#AddModule.*mod_php4.c+AddModule mod_php4.c+' </etc/httpd/conf/httpd.conf >/etc/httpd/conf/httpd.conf.php4remove
mv /etc/httpd/conf/httpd.conf.php4remove /etc/httpd/conf/httpd.conf

/etc/rc.d/init.d/httpd restart

        else
                echo "Ok, dont forget to add the above mentioned"
                echo "lines to /etc/apache/httpd.conf"
                echo -n "Press RETURN to continue"
                read a;

        fi
   fi
fi

exit 0

%preun -p /bin/bash

#!/bin/bash

set -e

if [ -f /etc/httpd/conf/httpd.conf ]; then
        if grep -q "^LoadModule.*libphp4.so" /etc/httpd/conf/httpd.conf; then
                echo
                echo "The apache webserver is configured to load the php module at startup"
                echo "If you remove this package now, apache will not start";
                echo "You should remove the following lines from httpd.conf:"
                echo
                grep "^LoadModule.*libphp4.so" /etc/httpd/conf/httpd.conf || true
                grep "^php4" /etc/httpd/conf/httpd.conf || true
                echo
                echo -n "Do you want me to remove these lines for you [y/N] ?"
#                read a;
a=y
                if echo $a | grep -iq ^y; then
                        sed -e 's+^LoadModule.*libphp4.so+\#LoadModule php4_module        modules/libphp4.so+' -e s/^php4/\#php4/ -e 's+^AddModule.*mod_php4.c+\#AddModule mod_php4.c+' </etc/httpd/conf/httpd.conf >/etc/httpd/conf/httpd.conf.php4remove
                        mv /etc/httpd/conf/httpd.conf.php4remove /etc/httpd/conf/httpd.conf
                else
                        echo -n "Do you want to remove this package anyway [y/N] ?"
                        read a;
                        if echo $a | grep -iq ^y; then
                                echo
                                echo "Ok, removing package, dont forget to remove the above mentioned"
                                echo "lines from /etc/apache/httpd.conf"
                                read a
                        else
                                exit 1
                        fi
                fi
        fi
fi

exit 0

%changelog
* Fri Oct 11 2002 Rich West <Rich.West@wesmo.com>
- Updated to 4.2.3

* Wed Jul 24 2002 Rich West <Rich.West@wesmo.com>
- Updated to 4.2.2
- Included --with-zip

* Mon May 13 2002 Rich West <Rich.West@wesmo.com>
- Updated to 4.2.1

* Mon Apr 22 2002 Rich West <Rich.West@wesmo.com>
- Updated to 4.2.0

* Thu Feb 28 2002 Rich West <Rich.West@wesmo.com>
- Updated to 4.1.2

* Fri Dec 28 2001 Rich West <Rich.West@wesmo.com>
- Updated to 4.1.1
- Included FTP support.

* Tue Dec 11 2001 Rich West <Rich.West@wesmo.com>
- Updated to 4.1.0
- Added "--with-imap-ssl"

* Wed Oct 10 2001 Rich West <Rich.West@wesmo.com>
- Updated configure line to include "--with-gettext"

* Thu Aug 30 2001 Rich West <Rich.West@wesmo.com>
- Updated configure line to include "--with-gd"

* Mon Jun 25 2001 Rich West <Rich.West@wesmo.com>
- Updated to 4.0.6

* Tue May 01 2001 Rich West <Rich.West@wesmo.com>
- Updated to 4.0.5

* Thu Dec 28 2000 Rich West <Rich.West@wesmo.com>
- Updated to 4.0.4

* Mon Oct 16 2000 Rich West <Rich.West@wesmo.com>
- Updated to 4.0.3pl1

* Fri Jun 30 2000 Rich West <Rich.West@wesmo.com>
- Updated to 4.0.1

* Wed Jun 14 2000 Michael A. Peters <mpeters@omnilinux.com>
- Added a sub package documentation, automated patching of httpd.conf file to load module and restart apache

* Tue May 23 2000 Rich West <Rich.West@wesmo.com>
- Updated to 4.0.0

* Mon Apr 10 2000 Rich West <Rich.West@wesmo.com>
- Updated to 3.0.16.
- Created module patch.

* Wed Jan 19 2000 Rich West <Rich.West@wesmo.com>
- Updated to 3.0.14

* Mon Oct 25 1999 Rich West <Rich.West@wesmo.com>
- Updated to 3.0.12
- Built against apache 1.3.9

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
